HanMacWrdKZone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | Friends | List of all members
HanMacWrdKZone Struct Reference

Small class used to store the decoded zone of HanMacWrdKParser. More...

`#include <HanMacWrdKParser.hxx>`

## Public Member Functions
| HanMacWrdKZone (MWAWInputStreamPtr input, libmwaw::DebugFile &asciiFile)
| constructor given an input and an asciiFile More...
| HanMacWrdKZone (shared_ptr< libmwaw::DebugFile > asciiFile)
| constructor given an asciiFile (used for compressed zone) More...
| ~HanMacWrdKZone ()
| destructor More...
long | begin () const
| returns the first position in the input More...
long | end () const
| returns the last position in the input More...
long | length () const
| returns the zone size More...
bool | valid () const
| returns true if the zone data exists More...
long | fileBeginPos () const
| returns the file begin position More...
long | fileEndPos () const
| returns the file begin position More...
void | setFileBeginPos (long begPos)
| sets the begin file pos More...
void | setFileLength (long len)
| sets the file length More...
void | setFilePositions (long begPos, long endPos)
| sets the begin/end file pos More...
librevenge::RVNGBinaryData & | getBinaryData ()
| returns a pointer to the binary data More...
std::string | name () const
| returns the zone name More...
libmwaw::DebugFile & | ascii () const
| returns the debug file More...

## Static Public Member Functions
static std::string | name (int type)
| returns the zone name More...

## Public Attributes
int | m_type
| the type : 1(text), .... More...
long | m_id
| the zone id More...
long | m_subId
| the zone subId More...
MWAWInputStreamPtr | m_input
| the main input More...
std::string | m_extra
| some extra data More...
bool | m_parsed
| true if the zone is sended More...

## Protected Attributes
long | m_filePos
| the begin of the entry More...
long | m_endFilePos
| the end of the entry More...
librevenge::RVNGBinaryData | m_data
| the storage (if needed) More...
libmwaw::DebugFile * | m_asciiFile
| the debug file More...
shared_ptr< libmwaw::DebugFile > | m_asciiFilePtr
| the file pointer More...

## Private Member Functions
| HanMacWrdKZone (HanMacWrdKZone const &orig)
HanMacWrdKZone & | operator= (HanMacWrdKZone const &orig)

## Friends
std::ostream & | operator<< (std::ostream &o, HanMacWrdKZone const &zone)
| operator << More...

## Detailed Description

Small class used to store the decoded zone of HanMacWrdKParser.

## Constructor & Destructor Documentation

HanMacWrdKZone::HanMacWrdKZone | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | asciiFile
| ) |  |

constructor given an input and an asciiFile

HanMacWrdKZone::HanMacWrdKZone | ( | shared_ptr< libmwaw::DebugFile > | asciiFile | ) |
| explicit

constructor given an asciiFile (used for compressed zone)

HanMacWrdKZone::~HanMacWrdKZone | ( |  | ) |

destructor

HanMacWrdKZone::HanMacWrdKZone | ( | HanMacWrdKZone const & | orig | ) |
| private

## Member Function Documentation

libmwaw::DebugFile& HanMacWrdKZone::ascii | ( |  | ) | const
| inline

returns the debug file

Referenced by HanMacWrdKText::readFont(), HanMacWrdKText::readParagraph(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKText::readToken(), HanMacWrdKParser::readZoneb(), HanMacWrdKText::sendText(), and ~HanMacWrdKZone().

long HanMacWrdKZone::begin | ( |  | ) | const
| inline

returns the first position in the input

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

long HanMacWrdKZone::end | ( |  | ) | const
| inline

returns the last position in the input

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

long HanMacWrdKZone::fileBeginPos | ( |  | ) | const
| inline

returns the file begin position

Referenced by HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

long HanMacWrdKZone::fileEndPos | ( |  | ) | const
| inline

returns the file begin position

librevenge::RVNGBinaryData& HanMacWrdKZone::getBinaryData | ( |  | ) |
| inline

returns a pointer to the binary data

long HanMacWrdKZone::length | ( |  | ) | const
| inline

returns the zone size

Referenced by HanMacWrdKText::readFont(), HanMacWrdKText::readParagraph(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKText::readToken(), and HanMacWrdKParser::readZoneb().

std::string HanMacWrdKZone::name | ( |  | ) | const
| inline

returns the zone name

Referenced by operator<<(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

std::string HanMacWrdKZone::name | ( | int | type | ) |
| static

returns the zone name

HanMacWrdKZone& HanMacWrdKZone::operator= | ( | HanMacWrdKZone const & | orig | ) |
| private

void HanMacWrdKZone::setFileBeginPos | ( | long | begPos | ) |
| inline

sets the begin file pos

void HanMacWrdKZone::setFileLength | ( | long | len | ) |
| inline

sets the file length

void HanMacWrdKZone::setFilePositions | ( | long | begPos,
|  | long | endPos
| ) |  |
| inline

sets the begin/end file pos

bool HanMacWrdKZone::valid | ( |  | ) | const
| inline

returns true if the zone data exists

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), and HanMacWrdKText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | HanMacWrdKZone const & | zone
| ) |  |
| friend

operator <<

## Member Data Documentation

libmwaw::DebugFile* HanMacWrdKZone::m_asciiFile
| protected

the debug file

shared_ptr<libmwaw::DebugFile> HanMacWrdKZone::m_asciiFilePtr
| protected

the file pointer

Referenced by ~HanMacWrdKZone().

librevenge::RVNGBinaryData HanMacWrdKZone::m_data
| protected

the storage (if needed)

long HanMacWrdKZone::m_endFilePos
| protected

the end of the entry

std::string HanMacWrdKZone::m_extra

some extra data

Referenced by operator<<().

long HanMacWrdKZone::m_filePos
| protected

the begin of the entry

long HanMacWrdKZone::m_id

the zone id

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), operator<<(), and HanMacWrdKText::sendText().

MWAWInputStreamPtr HanMacWrdKZone::m_input

the main input

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), HanMacWrdKText::readFont(), HanMacWrdKText::readParagraph(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKText::readToken(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

bool HanMacWrdKZone::m_parsed
| mutable

true if the zone is sended

Referenced by HanMacWrdKText::flushExtra(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

long HanMacWrdKZone::m_subId

the zone subId

Referenced by operator<<().

int HanMacWrdKZone::m_type

the type : 1(text), ....

The documentation for this struct was generated from the following files:

- HanMacWrdKParser.hxx
- HanMacWrdKParser.cxx